> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sajuapi.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 사주 쌍둥이 인사이트

> 같은 사주를 가진 사용자들의 행동 분석

정확히 같은 사주(4기둥 모두 일치)를 가진 사용자들의 투자 행동을 AI가 분석합니다.

## 요청

<ParamField query="birthDate" type="string" required>
  생년월일 (YYYY-MM-DD)
</ParamField>

<ParamField query="birthTime" type="string">
  태어난 시간 (HH:mm)
</ParamField>

## 응답

```json theme={null}
{
  "success": true,
  "data": {
    "twinCount": 1247,
    "insight": "당신과 같은 사주를 가진 1,247명 중 오늘 매매에 참여한 비율은 42%예요. 평소보다 낮은 수치인데, 같은 사주를 가진 사람들도 오늘은 관망하고 있다는 뜻이에요.",
    "tradingBehavior": {
      "participationRate": 42,
      "buyRatio": 67,
      "sellRatio": 33,
      "interpretation": "매수 비중이 67%로 높은 편이에요. 같은 사주 투자자들은 오늘을 매수 기회로 보고 있어요."
    },
    "topActions": [
      { "action": "BTC 분할매수", "count": 234 },
      { "action": "ETH 홀딩", "count": 189 },
      { "action": "알트코인 관망", "count": 156 }
    ],
    "recommendation": "사주 쌍둥이들의 움직임을 참고하되, 당신의 오늘 운세와 함께 판단하세요."
  }
}
```

## 위젯: SajuTwinCard

```tsx theme={null}
function SajuTwinCard({ twin }) {
  return (
    <div className="saju-twin-card">
      <h3>👥 사주 쌍둥이 {twin.twinCount.toLocaleString()}명</h3>
      <p className="insight">{twin.insight}</p>
      <div className="behavior">
        <span>오늘 매매 참여: {twin.tradingBehavior.participationRate}%</span>
        <span>매수 비중: {twin.tradingBehavior.buyRatio}%</span>
      </div>
      <p className="interpretation">{twin.tradingBehavior.interpretation}</p>
    </div>
  );
}
```

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.sajuapi.dev/v1/analytics/saju-twin?birthDate=1994-12-30&birthTime=17:01" \
    -H "X-API-Key: your-api-key"
  ```
</RequestExample>
